%define upstream_version 2.9.1.dev12
%global shortalpha 8f02569
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           diskimage-builder
Summary:        Image building tools for OpenStack
Version: 2.9.0
Release: 2.%{shortalpha}%{?dist}
License:        ASL 2.0
Group:          System Environment/Base
URL:            https://launchpad.net/diskimage-builder
Source0: diskimage-builder-2.9.1.dev12-0.20171024063742.8f02569-8f025691bacd6e945fb522697f17461dd31c0330.tar.gz
AutoReqProv: no

# patches_ignore=DROP-IN-RPM
# patches_base=8f02569
BuildArch: noarch

BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: python-d2to1
BuildRequires: python-pbr

Requires: kpartx
Requires: qemu-img
Requires: curl
Requires: python-babel
Requires: tar
Requires: git
Requires: dib-utils
Requires: /bin/bash
Requires: /bin/sh
Requires: /usr/bin/env
Requires: /usr/bin/python
Requires: python(abi) = 2.7
Requires: python-flake8
Requires: python-networkx
Requires: python-pbr
Requires: python-six
Requires: python-stevedore
Requires: PyYAML

%global __requires_exclude /usr/local/bin/dib-python
%global __requires_exclude %__requires_exclude|/sbin/runscript

%prep
%setup -q -n %{name}-%{upstream_version}

%build
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root=%{buildroot}

mkdir -p %{buildroot}%{_datadir}/%{name}/elements

cp -vr diskimage_builder/elements/ %{buildroot}%{_datadir}/%{name}

# explicitly remove config-applier since it does a pip install
rm -rf %{buildroot}%{_datadir}/%{name}/elements/config-applier

# This file is being split out of diskimage-builder, so remove it to
# avoid conflicts with the new package.
rm -f %{buildroot}%{_bindir}/dib-run-parts

%description
Components of TripleO that are responsible for building disk images.

%files
%doc LICENSE
%doc doc/source/ci.md
%{_bindir}/*
%{python2_sitelib}/diskimage_builder*
%{_datadir}/%{name}/elements

%changelog
* Tue Nov 21 2017 Jon Schlueter <jschluet@redhat.com> 2.9.0-2.8f02569git
- bump to upstream commit 8f02569

* Wed Nov 01 2017 Jon Schlueter <jschluet@redhat.com> 2.9.0-1
- Update to 2.9.0

* Thu Aug 24 2017 Alfredo Moralejo <amoralej@redhat.com> 2.8.0-1
- Update to 2.8.0

